Summary: CLI for Adaptec hardware RAID controllers.
Name: adaptec-cli
Version: 7.31.18856
Release: 4.jinr
License: Proprietary
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Packager: vvm@jinr.ru
Requires: compat-libstdc++-33
Conflicts: hwraidtools
ExclusiveArch: i386 x86_64
Url: http://download.adaptec.com/raid/storage_manager/asm_linux_x64_v7_31_18856.tgz

%description
Command line utility to manage Adaptec cards, RAID config tool arcconf.

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/doc/%{name}
/bin/cp -p README.TXT %{buildroot}/usr/share/doc/%{name}
%ifarch x86_64
	/bin/cp -p x86_64/usr/bin/arcconf %{buildroot}/usr/bin
%else
	/bin/cp -p i386/usr/bin/arcconf %{buildroot}/usr/bin
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) /usr/bin/arcconf
%doc /usr/share/doc/%{name}/README.TXT

%post
#
# this prevents smartd from becoming fsdaemon context thingy
# so it can keep talking to /dev/sg*
# see https://savannah.cern.ch/bugs/index.php?61692 (procurement team only)
# -P makes this persistent accross reboots.
#
# andras.horvath@cern.ch, 2/2/2010
[ -x /usr/sbin/setsebool ] && /usr/sbin/setsebool -P fsdaemon_disable_trans=on || true

%changelog
* Mon Aug 13 2012  vvm@jinr.ru
- new ASM version - asm_linux_*_v7_31_18856.tgz

* Thu May 20 2010  vvm@jinr.ru
- build from the new ASM version - asm_linux_*_v6_50_18570

* Tue Feb  2 2010  Andras HORVATH <andras.horvath@cern.ch> 6.40.18530
- SElinux policy change/hack to allow smartd to run on /dev/sg*

* Tue Nov 24 2009  Andras HORVATH <andras.horvath@cern.ch> 6.40.18530
- new upstream version

* Wed Sep 16 2009  Andras HORVATH <andras.horvath@cern.ch> 6.30.18507
- new upstream version

* Thu Jun 25 2009  Andras HORVATH <andras.horvath@cern.ch> 6.20.18451
- new upstream version
- smaller src.rpm
- ExclusiveArch set
- updated description

* Wed Mar 11 2009  Andras HORVATH <andras.horvath@cern.ch> 6.10.18359
- new upstream version
- 'real' x86_64 version

* Mon Nov 10 2008 Andras Horvath <Andras.Horvath@cern.ch> 6.0.b17922
- fresh upstream
- removed unneeded library files

* Fri Jul 11 2008 Andras Horvath <Andras.Horvath@cern.ch>	5.50.b17901
- first release
